Loading...
Searching...
No Matches
BALL::Rescoring::RescoreQSARData Class Reference

`#include <BALL/SCORING/FUNCTIONS/rescoring.h>`

Inheritance diagram for BALL::Rescoring::RescoreQSARData:

## Friends

class | Rescoring
class | Rescoring3D

## Additional Inherited Members

Public Member Functions inherited from BALL::QSAR::QSARData
| QSARData ()
| ~QSARData ()
bool | isDataCentered () const
bool | isResponseCentered () const
vector< String > * | readPropertyNames (String sd_file)
void | readSDFile (const char *file)
void | readSDFile (const char *file, std::multiset< int > &act, bool useExDesc=1, bool append=0, bool translate_class_labels=0)
void | readSDFile (const char *file, std::set< String > &activity_names, bool useExDesc=1, bool append=0, bool translate_class_labels=0, bool calc_phychem_properties=1, bool calc_topological_properties=1)
void | displayMatrix ()
void | centerData (bool center_Y=0)
void | scaleAllDescriptors ()
unsigned int | getNoSubstances () const
unsigned int | getNoDescriptors () const
void | readCSVFile (const char *file, int no_y, bool xlabels, bool ylabels, const char *sep=",", bool appendDescriptors=0, bool translate_class_labels=0)
void | manipulateY (std::vector< String > v)
void | manipulateY (String v)
void | discretizeY (std::vector< double > thresholds)
void | transformX (std::vector< String > v)
std::vector< QSARData * > | partitionInputData (int p)
void | saveToFile (string filename) const
void | readFromFile (string filename)
std::vector< QSARData * > | generateExternalSet (double fraction) const
std::vector< QSARData * > | evenSplit (int no_test_splits, int current_test_split_id, int response_id=0) const
std::vector< double > * | getSubstance (int s) const
std::vector< double > * | getActivity (int s) const
unsigned int | getNoResponseVariables () const
const std::vector< string > * | getSubstanceNames () const
bool | checkforDiscreteY () const
bool | checkforDiscreteY (const char *file, std::multiset< int > &activity_IDs) const
void | setDataFolder (const char *folder)
void | removeHighlyCorrelatedCompounds (double &compound_cor_threshold, double &feature_cor_threshold)
void | getSimilarDescriptors (int descriptor_ID, double correlation, std::list< std::pair< uint, String > > &similar_descriptor_IDs) const
void | calculateBALLDescriptors (Molecule &m)
void | calculateTopologicalDescriptors (Molecule &mol, MolecularSimilarity &molsim, const std::map< String, int > &descriptor_map)
void | setDescriptorNames (const Molecule &m, std::multiset< int > &activity_IDs, bool useExDesc=1, bool resize=1)
void | removeInvalidDescriptors (std::multiset< int > &invalidDescriptors)
void | removeInvalidSubstances (std::multiset< int > &inv)
void | readMatrix (VMatrix &mat, std::ifstream &in, char seperator, unsigned int lines, unsigned int col)
void | checkActivityIDs (std::multiset< int > &act, int no_properties)
void | insertSubstance (const QSARData *source, int s, bool backtransformation=0)
void | printMatrix (const VMatrix &mat, std::ostream &out) const
VMatrix | descriptor_matrix_
VMatrix | Y_
VMatrix | descriptor_transformations_
VMatrix | y_transformations_
vector< string > | column_names_
vector< string > | substance_names_
std::multiset< int > | invalidDescriptors_
std::multiset< int > | invalidSubstances_
String | data_folder_
std::map< String, int > | class_names_

## Detailed Description

Definition at line 50 of file rescoring.h.

## Friends And Related Symbol Documentation

## Rescoring

friend class Rescoring

friend

Definition at line 55 of file rescoring.h.

## Rescoring3D

friend class Rescoring3D

friend

Definition at line 56 of file rescoring.h.